{% load reviews_tags %}
{% load thumbnail %}
{% load i18n %}
{% load display_tags %}
{% load staticfiles %}
{% load purchase_info_tags %}
{% load product_delivery_day %}

<div class="good-space">
    <div class="catalog-slider__box__item js-row-container loading {% if not session.availability.is_available_to_buy %} preoder {% endif %}"
        data-pk={{product.pk}}>
        <div class="loading__overlay"></div>
        <div class="item-tags">
            {% if product.present %}
                <img src="{% static 'img/icons/tags/gift.png' %}" title="Подарок к покупке" alt="" class="gift img-svg">
            {% endif %}
            {% if has_range_discount %}
                <img src="{% static 'img/icons/tags/discount.png' %}" title="Скидка" alt="Скидка" class="gift img-svg">
            {% endif %}
        </div>

        {% with image=product.primary_image %}
            {% thumbnail image.original "210x220" padding=True as thumb %}
                <a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}" class="item-img">
                    <img src="{{ thumb.url }}" alt="{{ product.get_title }}">
                </a>
            {% endthumbnail %}
        {% endwith %}
        <h2 class="item-title">
            <a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}">{{ product.get_title }}</a>
        </h2>

        <div class="item-price">
            {% if has_range_discount %}
                <div class="past-price">
                    {% if price.is_tax_know %}
                        {{ price.incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.excl_tax|floatformat:0 }}
                    {% endif %}
                    <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
                </div>
            {% endif %}
            <div class="current-price">
                {% if has_range_discount %}
                    {% if price.is_tax_know %}
                        {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                    {% endif %}
                {% else %}
                    {% if price.is_tax_know %}
                        {{ price.incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.excl_tax|floatformat:0 }}
                    {% endif %}
                {% endif %}
                <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg"  alt="рублей">
            </div>
        </div>

        <div class="fixed-block">
            {% if session.availability.is_available_to_buy %}
                <div class="item-descriptions">
                    <div class="description">
                        <img src="{% static 'img/icons/24px/delivery.svg' %}" alt="">
                        доставим через 3 дня
                        <a href="#" data-modal="modal_info_delivery" class="popup-open"><img src="{% static 'img/icons/16px/question.svg' %}" class="question img-svg" alt=""></a>
                    </div>
                    <div class="description">
                        <img src="{% static 'img/icons/24px/loc.svg' %}" alt="">
                        самовызов послезавтра
                        <a href="#" data-modal="modal_info_pickup" class="popup-open"><img src="{% static 'img/icons/16px/question.svg' %}" class="question img-svg" alt=""></a>
                    </div>
                    <div class="description">
                        <img src="{% static 'img/icons/systemic/ok.svg' %}" alt="">
                        в наличии в шоуруме
                        <a href="#" data-modal="modal_info_showroom" class="popup-open"><img src="{% static 'img/icons/16px/question.svg' %}" class="question img-svg" alt=""></a>
                    </div>
                </div>
            {% else %}
                <div class="item-preoder">
                    доступен по предзаказу
                    <a href="#" data-modal="modal_info_preoder" class="popup-open">
                    <img src="{% static 'img/icons/16px/question.svg' %}" class="question img-svg" alt=""></a>
                </div>
            {% endif %}
            {% if not product.is_parent %}
                {% with product.pk|stringformat:"s" as key %}
                    {% with submit_prefix as submit_prefix %}
                    {% with "product-preview-add-form_"|add:submit_prefix|add:product.product_class.slug|add:key as form_name %}
                        {% include "catalogue/partials/add_to_basket_form_compact.html" with product=product name=form_name btn_class="item-cart" %}
                    {% endwith %}
                    {% endwith %}
                {% endwith %}
            {% endif %}
        </div>
        {% if session.availability.is_available_to_buy %}
            {% include "catalogue/partials/fast_purchase.html" %}
        {% else %}
            {% include "catalogue/partials/preorder.html" %}
{#        <button class="fast-buy popup-open" data-modal="modal_fastBuy">Быстрая покупка</button>#}
        {% endif %}
    </div>
</div>
